function OnClick()
    if s.m_s01_burner_fire_turned_on == 1 then
        s.m_s01_burner_state = 7
        PlaySound("snd_s01_0304_move_right")
        s01_0304_burner.s01_0304_burner.VPlay("s01_0304_burner_animation_right_0", function ()
            s.m_s01_burner_state = 2
            s.m_s01_burner_timer1 = 0   
        end)
    else
        s.m_s01_burner_state = 1
        Talk("com_s01_0304_05_hero")
    end
end